Bug 66182 - CD-ROM not seen as bootable by some boxes
CD-ROM not seen as bootable by some boxes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-05 18:29 EDT by Alan Cox
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2002-06-05 18:29:31 EDT
Well its kind of pre-ananconda but Im not sure where to file it. On my Palmax
PD1100 the disk is not bootable. It does boot (same disk) on other systems.
Comment 1 Michael Fulbright 2002-06-06 12:01:33 EDT
What type of device is this (pcmcia, usb, etc)?
Comment 2 Alan Cox 2002-06-06 12:09:13 EDT
Bog standard IDE CD-ROM. Only known restriction it has is 'no DMA' but the BIOS
knows about that and our boot kernel hasnt kicked off at this point.

Alan
Comment 3 Michael Fulbright 2002-06-06 12:38:46 EDT
The only factors I know of influencing the booting via the el Torrito mechanism are:

1) BIOS support. We use the 2.88M image option which some BIOSes choose not
   to implement.

2) Your CD media isn't happy with the CD drive.

Seriously I can't think of any other reason this wouldn't work.  You can easily
test this with a 1.44M image by using this command line:

mkisofs -b bootnet.img -c bootcat bootcd/ | cdrecord -d                        
                                                           ev 1,0,0 -v -eject
-blank=fast -

where you've put the bootnet.img into a subdir called 'bootcd'. I do this all
the time instead of making boot floppies :0
Comment 4 Bill Nottingham 2002-06-21 17:18:20 EDT
Also, you can try the test ISO at

http://people.redhat.com/~katzj/debugiso.bin

This uses ISOLINUX instead.
Comment 5 Michael Fulbright 2002-08-02 15:01:58 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 6 Alan Cox 2002-08-22 12:34:33 EDT
Isolinux works on the palmax

(It took a while to find out because the PSU blew up in the mean time)
Comment 7 Red Hat Bugzilla 2006-02-21 13:49:02 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.